<div class="rc-panel pink nopadding localprinters" data-title="Printers on Local Network">
    <div class='rc-item no-icon' ng-hide="connection.online" data-title="No internet connection"></div>
    <div class='rc-item no-icon' ng-show="connection.online && !cloud.connected" data-title="Connecting to server..."></div>
    <div class='rc-item no-icon' ng-show="connection.online && !connection.wifi.connected" ng-click="" data-title="Please connect to a WiFi network"></div>
    <div class='rc-item' data-icon-class="icon icon-3dprinter {{printer.statusClass}}" ng-show="connection.online && cloud.connected && connection.wifi.connected" ng-click="openLocalPrinter(printer)" ng-repeat="printer in localPrinters" data-title="{{printer.customName}}"></div>
    <div class='rc-item no-icon' ng-show="cloud.connected && connection.wifi.connected && localPrinters.length==0" data-title="No local printers found..." data-subtitle="on network {{connection.wifi.ssid}}"></div>
    <div class='rc-item no-icon' ng-show="cloud.connected && connection.wifi.connected" ng-click="go('/addprinter')" data-title="Add a new printer to your local network..."></div>
</div>
  
<div class="row footer">
  <p>
  connection.online: {{connection.online}}<br>
  cloud.connected: {{cloud.connected}}<br>
  connection.wifi.connected: {{connection.wifi.connected}}<br>
  connection.wifi.ssid: {{connection.wifi.ssid}}<br>
  </p>
</div>
